import type { ComputedRef, InjectionKey, Ref } from 'vue';
import type { BlogTypeData } from 'vuepress-plugin-blog2';
import type { WayThemePostInfo } from '../../shared';
export declare type BlogRef = ComputedRef<BlogTypeData<WayThemePostInfo>>;
export declare const blogsSymbol: InjectionKey<BlogRef>;
export declare const useBlogPages: () => BlogRef;
export declare const setupBlogPages: () => void;
export declare const useBlog: (pageIndex?: Ref<number>) => any;
