import type { InjectionKey, WritableComputedRef } from 'vue';
export declare type ColorModeRef = WritableComputedRef<boolean>;
export declare const colorModeSymbol: InjectionKey<ColorModeRef>;
export declare const useColorMode: () => ColorModeRef;
/**
 * Create dark mode ref and provide as global computed in setup
 */
export declare const setupColorMode: () => void;
export declare const updateHtmlDarkClass: (isColorMode: ColorModeRef) => void;
