"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPages = void 0;
const core_1 = require("@vuepress/core");
const createPages = async (app, localeOptions) => {
    // 创建友链页面
    app.pages.push(await (0, core_1.createPage)(app, {
        path: '/links',
        frontmatter: {
            layout: 'Links',
            title: '友链',
        },
    }));
    // 创建项目页面
    app.pages.push(await (0, core_1.createPage)(app, {
        path: '/products',
        frontmatter: {
            layout: 'Products',
            title: '项目',
        },
    }));
    // 创建关于页面
    // app.pages.push(
    //   await createPage(app, {
    //     path: '/about',
    //     frontmatter: {
    //       layout: 'About',
    //       title: '关于我 ヾ(≧▽≦*)o',
    //     },
    //   })
    // )
};
exports.createPages = createPages;
