import type { CommentItem, CounterItem } from '../../shared';
interface ArticleDataRes {
    counterList?: CounterItem[];
    counterTotal?: number;
    commentList?: CommentItem[];
    commentTotal?: number;
}
export declare const fetchCounter: () => Promise<CounterItem[]>;
export declare const fetchComment: () => Promise<CommentItem[]>;
export declare const useArticleData: () => ArticleDataRes;
export declare const setupArticleData: () => void;
export {};
