import type { ComputedRef, InjectionKey } from 'vue';
import type { BlogCategoryData } from 'vuepress-plugin-blog2';
import type { WayThemePostData, WayThemePostInfo } from '../../shared';
export declare type TagMapRef = ComputedRef<BlogCategoryData<WayThemePostInfo>>;
export declare const tagMapSymbol: InjectionKey<TagMapRef>;
export declare const useTagMap: () => TagMapRef;
export declare const setupTags: () => void;
export interface TagType {
    name: string;
    path: string;
    pages: Array<WayThemePostData>;
}
export declare const useTags: () => ComputedRef<TagType[]>;
