"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assignDefaultLocaleOptions = exports.DEFAULT_LOCALE_OPTIONS = void 0;
exports.DEFAULT_LOCALE_OPTIONS = {
    // navbar
    navbar: [],
    logo: null,
    // color mode
    colorMode: 'auto',
    colorModeSwitch: true,
    repo: null,
    // sidebar
    sidebar: 'auto',
    sidebarDepth: 2,
};
/**
 * Assign default options
 */
const assignDefaultLocaleOptions = (localeOptions) => {
    Object.assign(localeOptions, {
        ...exports.DEFAULT_LOCALE_OPTIONS,
        ...localeOptions,
    });
};
exports.assignDefaultLocaleOptions = assignDefaultLocaleOptions;
